insert( metaRots, {} )
insert( metaRots, { { 0, 0, 1, 1 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 2 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 3 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 0 * PIhalf }, { 1, 0, 0, 2 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 1 * PIhalf }, { 1, 0, 0, 2 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 2 * PIhalf }, { 1, 0, 0, 2 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 3 * PIhalf }, { 1, 0, 0, 2 * PIhalf } } )

insert( metaRots, { { 0, 0, 1, 0 * PIhalf }, { 1, 0, 0, PIhalf } } )
insert( metaRots, { { 0, 0, 1, 0 * PIhalf }, { 1, 0, 0, PIhalf }, { 0, 0, 1, 1 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 2 * PIhalf }, { 1, 0, 0, 3 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 0 * PIhalf }, { 1, 0, 0, PIhalf }, { 0, 0, 1, -1 * PIhalf } } )

insert( metaRots, { { 0, 0, 1, 1 * PIhalf }, { 1, 0, 0, PIhalf } } )
insert( metaRots, { { 0, 0, 1, 1 * PIhalf }, { 1, 0, 0, PIhalf }, { 0, 0, 1, 1 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 3 * PIhalf }, { 1, 0, 0, 3 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 1 * PIhalf }, { 1, 0, 0, PIhalf }, { 0, 0, 1, -1 * PIhalf } } )

insert( metaRots, { { 0, 0, 1, 2 * PIhalf }, { 1, 0, 0, PIhalf } } )
insert( metaRots, { { 0, 0, 1, 2 * PIhalf }, { 1, 0, 0, PIhalf }, { 0, 0, 1, 1 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 0 * PIhalf }, { 1, 0, 0, 3 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 2 * PIhalf }, { 1, 0, 0, PIhalf }, { 0, 0, 1, -1 * PIhalf } } )

insert( metaRots, { { 0, 0, 1, 3 * PIhalf }, { 1, 0, 0, PIhalf } } )
insert( metaRots, { { 0, 0, 1, 3 * PIhalf }, { 1, 0, 0, PIhalf }, { 0, 0, 1, 1 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 1 * PIhalf }, { 1, 0, 0, 3 * PIhalf } } )
insert( metaRots, { { 0, 0, 1, 3 * PIhalf }, { 1, 0, 0, PIhalf }, { 0, 0, 1, -1 * PIhalf } } )